Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
domain_analytics
/
technologies
/
aggregation_technologies
/
live
Aggregation Technologies
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/domain_analytics/technologies/aggregation_technologies/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "group": "<string>",
  "category": "<string>",
  "technology": "<string>",
  "keyword": "<string>",
  "mode": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "internal_groups_list_limit": 123,
  "internal_categories_list_limit": 123,
  "internal_technologies_list_limit": 123,
  "internal_list_limit": 123,
  "limit": 123,
  "offset": 123,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.": "<string>",
  "tasks.result.group": "<string>",
  "tasks.result.category": "<string>",
  "tasks.result.technology": "<string>",
  "tasks.result.groups_count": 123,
  "tasks.result.categories_count": 123,
  "tasks.result.technologies_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
group
string
required

id of the target technology group required field if you don’t specify technology, category or keyword at least one field (group, category, keyword, technology) must be set you can find the full list of technology group ids on this page example: "marketing"

category
string
required

id of the target technology category required field if you don’t specify group, keyword or technology at least one field (group, category, keyword, technology) must be set you can find the full list of technology category ids on this page example: "crm"

technology
string
required

target technology required field if you don’t specify group, keyword or category at least one field (group, category, keyword, technology) must be set you can find the full list of technologies on this page example: "Salesforce"

keyword
string
required

target keyword in the domain’s meta keywords required field if you don’t specify group, category or technology at least one field (group, category, keyword, technology) must be set UTF-8 encoding example: "seo"learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

mode
string

search mode optional field possible search mode types: as_is – search for results exactly matching the specified group ids, category ids, or technology names entry – search for results matching a part of the specified group ids, category ids, or technology names default value: as_is

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: , , >, >=, =, , in, not_in, like,not_like you can use the % operator with like and not_like to match any string of zero or more characters you can use the following parameters to filter the results: domain_rank, last_visited, country_iso_code, language_code, content_language_code Note: all filtering parameters are taken from the domain_technology_item of the domain_technologies endpoint; example: [["country_iso_code","=","US"], "and", ["domain_rank",">",800]]for more information about filters, please refer to Domain Analytics Technologies API – Filters

order_by
string[]

results sorting rules optional field you can use the following values to sort the results: groups_count, categories_count, technologies_count possible sorting types: asc – results will be sorted in the ascending order desc – results will be sorted in the descending order you should use a comma to set up a sorting type example: ["groups_count,desc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["groups_count,desc","technologies_count,desc"] default value: ["groups_count,desc","categories_count,desc","technologies_count,desc"]

internal_groups_list_limit
integer

maximum number of returned technology groups optional field you can use this field to limit the number of items with identical "group" in the results default value: 5 minimum value: 1 maximum value: 10000

internal_categories_list_limit
integer

maximum number of returned technology categories within the same group optional field you can use this field to limit the number of items with identical "category" in the results default value: 5 minimum value: 1 maximum value: 10000

internal_technologies_list_limit
integer

maximum number of returned technologies within the same category optional field you can use this field to limit the number of items with identical "technology" in the results default value: 10 minimum value: 1 maximum value: 10000

internal_list_limit
integer

maximum number of items with identical "category", "group", and "technology" optional field if you use this field, the values specified in internal_groups_list_limit, internal_categories_list_limit and internal_technologies_list_limit will be ignored; you can use this field to limit the number of items with identical "category", "group", or "technology" default value: 10 minimum value: 1 maximum value: 10000

limit
integer

the maximum number of returned technologies optional field default value: 100 maximum value: 10000

offset
integer

offset in the results array of returned domains optional field default value: 0 maximum value: 9999 if you specify the 10 value, the first ten technologies in the results array will be omitted and the data will be provided for the successive technologies

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.total_count
integer

total amount of results in our database relevant to your request

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.
string

type of element = ‘aggregation_technologies_item’

tasks.result.group
string

technology group id

tasks.result.category
string

technology category id

tasks.result.technology
string

technology name

tasks.result.groups_count
integer

technology groups count number of domains that match the parameters you specified and are using technologies from the indicated group

tasks.result.categories_count
integer

technology categories count number of domains that match the parameters you specified and are using technologies from the indicated category

tasks.result.technologies_count
integer

technologies count number of domains that match the parameters you specified and are using the indicated technology